%define name yacas
%define version 1.0.55
%define release 1mdk

%define major 0
%define libname %mklibname %name %major


Name: %{name}
Summary: Yacas, a computer algebra language
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Patch0: %{name}-doc-destdir.patch.bz2
Group: Development/Other
URL: http://www.xs4all.nl/~apinkus/yacas.html 
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

%description
Yacas (Yet Another Computer Algebra System) is a small and highly
flexible computer algebra language. The syntax uses a infix-operator
grammar parser. The distribution contains a small library of
mathematical functions, but its real strength is in the language in
which you can easily write your own symbolic manipulation algorithms.
It supports arbitrary precision arithmetic.

%package -n %libname
Group: Development/Other
Provides: lib%name = %version-%release
Summary: Yacas libraries

%description -n %libname
Library need by Yacas
Yacas (Yet Another Computer Algebra System) is a small and highly
flexible computer algebra language. The syntax uses a infix-operator
grammar parser. The distribution contains a small library of
mathematical functions, but its real strength is in the language in
which you can easily write your own symbolic manipulation algorithms.
It supports arbitrary precision arithmetic.

%package -n %libname-devel
Group: Development/Other
Provides: lib%name-devel = %version-%release
Requires: %libname = %version-%release
Summary: Development files from Yacas

%description -n %libname-devel
This package contains develpment from Yacas.
Yacas (Yet Another Computer Algebra System) is a small and highly
flexible computer algebra language. The syntax uses a infix-operator
grammar parser. The distribution contains a small library of
mathematical functions, but its real strength is in the language in
which you can easily write your own symbolic manipulation algorithms.
It supports arbitrary precision arithmetic.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p0

%build
%configure

%make -k

%install
# # make install prefix=$RPM_BUILD_ROOT/%{_prefix}
%makeinstall_std datadir=$RPM_BUILD_ROOT/%{_datadir}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755)
%doc docs/*
%dir %{_datadir}/yacas
%{_datadir}/yacas/*
%exclude %{_datadir}/yacas/include
%{_bindir}/*

%files -n %libname
%defattr(-,root,root,0755)
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root,0755)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%dir %_libdir/%name
%_libdir/%name/*.so.*
%_libdir/%name/*.so
%_libdir/%name/*.a
%_libdir/%name/*.la
%dir %{_datadir}/yacas/include
%{_datadir}/yacas/include/*


%changelog
* Thu May 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.55-1mdk
- 1.0.55

* Tue May 20 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.54rev1-1mdk
- 1.0.54rev1
- distlint error
- libidification

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.53-4mdk
- rebuild

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.53-3mdk
- rebuild

* Mon Jul 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.53-2mdk
- add libdir

* Mon Jul 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.53-1mdk
- 1.0.53

* Mon May 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.52-1mdk
- 1.0.52

* Tue May 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.51-1mdk
- 1.0.51

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.47rev7-1mdk
- 1.0.47rev7

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 1.0.47rev2-1mdk
- updated to 1.0.47rev2
- patch 0 (missing #include)

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.44rev4-1mdk
- updated to 1.0.44rev4

* Mon Nov 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.42-1mdk
- updated to 1.0.42

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.40rev3-1mdk
- fix install
- updated to 1.0.40rev3

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.19-2mdk
- fix group

* Thu Dec 02 1999 Lenny Cartier <lenny@mandrakesoft.com>
- New in contribs
- specfile adaptations
- added docs
